wl_protocol_logger(3)

NAME
wl_protocol_logger

SYNOPSIS

  Public Member Functions

void wl_protocol_logger_destroy (struct wl_protocol_logger *logger)

  Data Fields

struct wl_list link
wl_protocol_logger_func_t func
void * user_data

Member Function Documentation

  void wl_protocol_logger_destroy (struct wl_protocol_logger * logger)
Destroys a protocol logger.

This function destroys a protocol logger and removes it from the display it was added to with wl_display_add_protocol_logger. The logger object becomes invalid after calling this function.

See also
    wl_display_add_protocol_logger

Field Documentation

  wl_protocol_logger_func_t wl_protocol_logger::func

  struct wl_list wl_protocol_logger::link

  void* wl_protocol_logger::user_data

Author

Generated automatically by Doxygen for Wayland from the source code.